Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.http
Interface FilterContainer

All Known Implementing Classes:
  HttpServer

    public interface FilterContainer

A container class for javax.servlet.Filter.

Method Summary
`void` | `addFilter(String name, String classname, Map<String,String> parameters)` Add a filter to the container.
`void` | `addGlobalFilter(String name, String classname, Map<String,String> parameters)` Add a global filter to the container.

Method Detail

### addFilter

    void addFilter(String name,
                   String classname,
                   Map<String,String> parameters)

  Add a filter to the container.

  Parameters:
    `name` - Filter name
    `classname` - Filter class name
    `parameters` - a map from parameter names to initial values

### addGlobalFilter

    void addGlobalFilter(String name,
                         String classname,
                         Map<String,String> parameters)

  Add a global filter to the container.

  Parameters:
    `name` - filter name
    `classname` - filter class name
    `parameters` - a map from parameter names to initial values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation